- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/export#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/export#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/export#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/export#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/export#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/export#body.ExportEmailTemplatesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/export#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/export#body.aspect_1)

**Full name**: projects.locations.instances.emailTemplates.export

Exports selected email templates as a CSV file. Use this method to share communication formats across SecOps instances.

### HTTP request

`POST https://{endpoint}/v1alpha/{parent}/emailTemplates:export`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list EmailTemplates for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "emailTemplates": [ string ] } ``` |

| Fields ||
|---|---|
| `emailTemplates[]` | `string` Required. The email templates to export. |

### Response body

Response message to export email templates.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "fileContent": string } ``` |

| Fields ||
|---|---|
| `fileContent` | `string` Output only. The content of a file containing the exported EmailTemplates as CSV. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.emailTemplates.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).